> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audioshake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

Upload a media file to create a new Asset. The returned `id` can be used as `assetId` when [creating a Task](/api-reference/tasks/create).

<Info>Maximum file size is 2GB. Uploaded Assets expire after 72 hours.</Info>

<Warning>The "Try it" tool on this page has a 5MB upload limit. To upload larger files, use the API directly via curl, Python, or your preferred HTTP client.</Warning>


## OpenAPI

````yaml POST /assets
openapi: 3.1.0
info:
  title: AudioShake API
  version: 1.0.0
  description: >-
    API for AI-powered audio source separation, stem extraction, and
    transcription.
  license:
    name: Proprietary
    url: https://www.audioshake.ai/terms
  contact:
    name: AudioShake
    url: https://audioshake.ai
servers:
  - url: https://api.audioshake.ai
security:
  - apiKey: []
tags:
  - name: assets
    description: Audio and media file assets managed by AudioShake
  - name: tasks
    description: Stem separation, source separation, and transcription alignment tasks
paths:
  /assets:
    post:
      tags:
        - assets
      summary: Upload File
      operationId: createAsset
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: >-
                    The uploaded file data. Supported audio formats only. (e.g.
                    wav, aiff, flac, mp3)
              required:
                - file
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: >-
                      Unique identifier of the Asset. Use this id as assetId
                      when creating a Task.
                    type: string
                  format:
                    description: Format of the output file
                    type: string
                  name:
                    description: Name of the Asset
                    type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````